Make-initrd development discussion
 help / color / mirror / Atom feed
* [make-initrd] [PATCH v1 27/41] fork pipeline: bootchain-sh-functions modified
@ 2021-09-24 15:58 Leonid Krivoshein
  0 siblings, 0 replies; only message in thread
From: Leonid Krivoshein @ 2021-09-24 15:58 UTC (permalink / raw)
  To: make-initrd

---
  .../bootchain-core/data/bin/bootchain-sh-functions  | 13 ++++++-------
  1 file changed, 6 insertions(+), 7 deletions(-)

diff --git 
a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions 
b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
index 07a059a..5c5a9fb 100644
--- a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
+++ b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
@@ -1,13 +1,12 @@
  #!/bin/bash -efu
  -if [ -z "${__pipeline_sh_functions-}" ]; then
-__pipeline_sh_functions=1
+if [ -z "${__bootchain_sh_functions-}" ]; then
+__bootchain_sh_functions=1
   . /.initrd/initenv
  . shell-signal
  -handlerdir="/lib/pipeline"
-mntdir="/dev/pipeline"
+handlerdir=/lib/bootchain
   check_parameter()
  {
@@ -44,8 +43,8 @@ resolve_target()
   run()
  {
-	[ -z "${DEBUG-}" ] || message "[$callnum] RUN: $*"
-	"$@"
+	debug "RUN: $*"
+	"$@" || return $?
  }
  -fi # __pipeline_sh_functions
+fi # __bootchain_sh_functions
-- 
2.21.0




^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2021-09-24 15:58 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-09-24 15:58 [make-initrd] [PATCH v1 27/41] fork pipeline: bootchain-sh-functions modified Leonid Krivoshein

Make-initrd development discussion

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/make-initrd/0 make-initrd/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 make-initrd make-initrd/ http://lore.altlinux.org/make-initrd \
		make-initrd@lists.altlinux.org make-initrd@lists.altlinux.ru make-initrd@lists.altlinux.com
	public-inbox-index make-initrd

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.make-initrd


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git